Cash Flow Statement (Indirect)
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement"
payload = "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "beginDate": "2023-01-01",\n "endDate": "2023-12-31",\n "emails": [\n "<string>"\n ],\n "ccEmails": [\n "<string>"\n ],\n "bccEmails": [\n "<string>"\n ],\n "date": "2023-01-01"\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement"
payload := strings.NewReader("{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"exportType": "HTML",
"grouping": "DAILY",
"accountingMethod": "CASH",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
},
"html": "<string>",
"json": {
"data": [
{
"name": "<string>",
"period": {
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"netCashChange": 123,
"beginCashBalance": 123,
"endCashBalance": 123,
"operatingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"investingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"financingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
}
}
]
},
"url": "<string>"
}Reports
Cash Flow Statement (Indirect)
Generate a Cash Flow Statement (Indirect), using the specific parameters
POST
/
v5
/
reports
/
cashFlowStatement
Cash Flow Statement (Indirect)
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement"
payload = "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "beginDate": "2023-01-01",\n "endDate": "2023-12-31",\n "emails": [\n "<string>"\n ],\n "ccEmails": [\n "<string>"\n ],\n "bccEmails": [\n "<string>"\n ],\n "date": "2023-01-01"\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement"
payload := strings.NewReader("{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"beginDate\": \"2023-01-01\",\n \"endDate\": \"2023-12-31\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"exportType": "HTML",
"grouping": "DAILY",
"accountingMethod": "CASH",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
},
"html": "<string>",
"json": {
"data": [
{
"name": "<string>",
"period": {
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"netCashChange": 123,
"beginCashBalance": 123,
"endCashBalance": 123,
"operatingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"investingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"financingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
}
}
]
},
"url": "<string>"
}Authorizations
Body
*/*
Response
200 - application/json
Successful operation